----------------------------------------------------------------        
-- Input Handler
----------------------------------------------------------------        
function InputHandler( uiMsg, wParam, lParam )

	if uiMsg == KeyEvents.KeyDown then

		if wParam == Keys.VK_ESCAPE then

			Matchmaking.LeaveMultiplayerGame();
			UIManager:DequeuePopup( ContextPtr );

		end

	end

	return true;

end
ContextPtr:SetInputHandler( InputHandler );


-------------------------------------------------
-- Event Handler: MultiplayerJoinRoomComplete
-------------------------------------------------
function OnJoinRoomComplete()

	if Matchmaking.IsHost() then

        UIManager:DequeuePopup( ContextPtr );
        UIManager:QueuePopup( Controls.StagingRoomScreen, PopupPriority.StagingScreen );
        
	else

		Controls.JoiningLabel:SetText( Locale.ConvertTextKey("TXT_KEY_MULTIPLAYER_JOINING_HOST" ));

	end

end


-------------------------------------------------
-- Event Handler: MultiplayerJoinRoomFailed
-------------------------------------------------
function OnJoinRoomFailed()

	-- TODO: Display Error Message
	
    Events.FrontEndPopup.CallImmediate( "TXT_KEY_MP_JOIN_FAILED" );
	Matchmaking.LeaveMultiplayerGame();
	UIManager:DequeuePopup( ContextPtr );
	
end


-------------------------------------------------
-- Event Handler: ConnectedToNetworkHost
-------------------------------------------------
function OnConnect()

	if not Matchmaking.IsHost() then

        UIManager:DequeuePopup( ContextPtr );
		UIManager:QueuePopup( Controls.StagingRoomScreen, PopupPriority.StagingScreen );
	end
    
end


-------------------------------------------------
-- Show / Hide Handler
-------------------------------------------------
function ShowHideHandler( bIsHide, bIsInit )

    if( not bIsInit ) then
    	if not bIsHide then

			-- Deactivate any DLC.  Mods will also be automatically deactivated too.
			
			
    		Controls.JoiningLabel:LocalizeAndSetText( "TXT_KEY_MULTIPLAYER_JOINING_ROOM" );
    		RegisterEvents();

    	else

    		UnregisterEvents();
    	end
	end

end
ContextPtr:SetShowHideHandler( ShowHideHandler );


-------------------------------------------------
-------------------------------------------------
function RegisterEvents()
    Events.MultiplayerJoinRoomComplete.Add( OnJoinRoomComplete );
    Events.MultiplayerJoinRoomFailed.Add( OnJoinRoomFailed );
    Events.ConnectedToNetworkHost.Add( OnConnect );
end


-------------------------------------------------
-------------------------------------------------
function UnregisterEvents()
    Events.MultiplayerJoinRoomComplete.Remove( OnJoinRoomComplete );
    Events.MultiplayerJoinRoomFailed.Remove( OnJoinRoomFailed );
    Events.ConnectedToNetworkHost.Remove( OnConnect );
end


-------------------------------------------------
-------------------------------------------------
function AdjustScreenSize()
    local _, screenY = UIManager:GetScreenSizeVal();
    local TOP_COMPENSATION = 52 + ((screenY - 768) * 0.3 );

    Controls.MainGrid:SetSizeY( screenY - TOP_COMPENSATION );
    Controls.MainGrid:ReprocessAnchoring();

end


-------------------------------------------------
-------------------------------------------------
function OnUpdateUI( type )
    if( type == SystemUpdateUIType.ScreenResize ) then
        AdjustScreenSize();
    end
end
Events.SystemUpdateUI.Add( OnUpdateUI );

AdjustScreenSize();
