-------------------------------------------------
-- Multiplayer Select Screen
-------------------------------------------------

local bIsModding = (ContextPtr:GetID() == "ModMultiplayerSelectScreen");

-------------------------------------------------
-- Internet Game Button Handler
-------------------------------------------------
function InternetButtonClick()

	PreGame.SetInternetGame( true );
	PreGame.SetMultiplayerGame( true );
	Matchmaking.RefreshInternetGameList();
	UIManager:QueuePopup( Controls.LobbyScreen, PopupPriority.LobbyScreen );
	
end
Controls.InternetButton:RegisterCallback( Mouse.eLClick, InternetButtonClick );


-------------------------------------------------
-- LAN Game Button Handler
-------------------------------------------------
function LANButtonClick()

	Modding.ActivateEnabledMods();
	PreGame.SetInternetGame( false );
	PreGame.SetMultiplayerGame( true );
	Matchmaking.RefreshLANGameList();

	UIManager:QueuePopup( Controls.LobbyScreen, PopupPriority.LobbyScreen );

end
Controls.LANButton:RegisterCallback( Mouse.eLClick, LANButtonClick );

-------------------------------------------------
-- LAN Game Button Handler
-------------------------------------------------
function ReconnectButtonClick()
	Network.Reconnect();
	--PreGame.SetInternetGame( false );

	--Controls.LobbyScreen:SetHide( false );
end
Controls.ReconnectButton:RegisterCallback( Mouse.eLClick, ReconnectButtonClick );



-------------------------------------------------
-- Back Button Handler
-------------------------------------------------
function BackButtonClick()
	PreGame.SetMultiplayerGame( false );
    UIManager:DequeuePopup( ContextPtr );

end
Controls.BackButton:RegisterCallback( Mouse.eLClick, BackButtonClick );


-------------------------------------------------
-- Input Handler
-------------------------------------------------
function InputHandler( uiMsg, wParam, lParam )

	if uiMsg == KeyEvents.KeyDown then

		if wParam == Keys.VK_ESCAPE then

			BackButtonClick();

		end

	end

	return true;

end
ContextPtr:SetInputHandler( InputHandler );


-------------------------------------------------
-- Show / Hide Handler
-------------------------------------------------
function ShowHideHandler( bIsHide )

	if( not Network.IsConnectedToSteam() ) then
		Controls.InternetButton:SetDisabled( false );
		Controls.InternetButton:LocalizeAndSetToolTip("TXT_KEY_STEAM_CONNECTED_NO");
	end

	if not bIsHide then
		
		if(bIsModding) then
			Controls.Title:LocalizeAndSetText("{TXT_KEY_MODS_SELECT_MULTIPLAYER_TYPE:upper}");
		else
			Controls.Title:LocalizeAndSetText("{TXT_KEY_MULTIPLAYER_SELECT_MULTIPLAYER_TYPE:upper}");
		end
		
		if Network.HasReconnectCache() then
			Controls.ReconnectButton:SetHide( false);
			Controls.ReconnectButton:SetDisabled( false );
		else
			Controls.ReconnectButton:SetHide( true );
			Controls.ReconnectButton:SetDisabled( true );
		end
	end
end
ContextPtr:SetShowHideHandler( ShowHideHandler );

-------------------------------------------------
-- Event Handler: MultiplayerGameLaunched
-------------------------------------------------
function OnGameLaunched()

	UIManager:DequeuePopup( ContextPtr );

end
Events.MultiplayerGameLaunched.Add( OnGameLaunched );
